<?php

namespace Drupal\commerce_epayco\PluginForm\OffsiteRedirect;

use Drupal\Core\Form\FormStateInterface;

/**
 * {@inheritdoc}
 */
class StandardCheckoutForm extends OffsiteCheckoutFormBase {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);

    /** @var \Drupal\commerce_payment\Entity\PaymentInterface $payment */
    $payment = $this->entity;
    /** @var array $parameters */
    $parameters = $this->getPaymentParameters($payment, ['return_url' => $form['#return_url']], 'standard');

    return $this->buildRedirectForm($form, $form_state, $this->gatewayHandler::EPAYCO_STANDARD_CHECKOUT_API_URL, $parameters['checkout'], 'post');
  }

}
